summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorScott Arciszewski <scott@arciszewski.me>2015-04-01 02:48:46 -0400
committerScott Arciszewski <scott@arciszewski.me>2015-04-01 02:48:46 -0400
commit9ea3a22b2416ba98b776bfbca28436172017b397 (patch)
tree2ecf4a8ae3849e07feb67e1317c07d9bcfe093de
parent724b1fcfb88b7bbbbd92fddd5deb7518c3988267 (diff)
downloadphp-jwt-9ea3a22b2416ba98b776bfbca28436172017b397.zip
php-jwt-9ea3a22b2416ba98b776bfbca28436172017b397.tar.gz
php-jwt-9ea3a22b2416ba98b776bfbca28436172017b397.tar.bz2
Add GnuPG verified phpunit script
-rw-r--r--run-tests.sh54
1 files changed, 54 insertions, 0 deletions
diff --git a/run-tests.sh b/run-tests.sh
new file mode 100644
index 0000000..5754213
--- /dev/null
+++ b/run-tests.sh
@@ -0,0 +1,54 @@
+
+#!/usr/bin/env bash
+clean=1 # Delete phpunit.phar after the tests are complete?
+gpg --fingerprint D8406D0D82947747293778314AA394086372C20A
+if [ $? -ne 0 ]; then
+ echo -e "\033[33mDownloading PGP Public Key...\033[0m"
+ gpg --recv-keys D8406D0D82947747293778314AA394086372C20A
+ # Sebastian Bergmann <sb@sebastian-bergmann.de>
+ gpg --fingerprint D8406D0D82947747293778314AA394086372C20A
+ if [ $? -ne 0 ]; then
+ echo -e "\033[31mCould not download PGP public key for verification\033[0m"
+ exit
+ fi
+fi
+
+if [ "$clean" -eq 1 ]; then
+ # Let's clean them up, if they exist
+ if [ -f phpunit.phar ]; then
+ rm -f phpunit.phar
+ fi
+ if [ -f phpunit.phar.asc ]; then
+ rm -f phpunit.phar.asc
+ fi
+fi
+
+# Let's grab the latest release and its signature
+if [ ! -f phpunit.phar ]; then
+ wget https://phar.phpunit.de/phpunit.phar
+fi
+if [ ! -f phpunit.phar.asc ]; then
+ wget https://phar.phpunit.de/phpunit.phar.asc
+fi
+
+# Verify before running
+gpg --verify phpunit.phar.asc phpunit.phar
+if [ $? -eq 0 ]; then
+ echo
+ echo -e "\033[33mBegin Unit Testing\033[0m"
+ # Run the testing suite
+ phpunit --configuration phpunit.xml.dist
+ # Cleanup
+ if [ "$clean" -eq 1 ]; then
+ echo -e "\033[32mCleaning Up!\033[0m"
+ rm -f phpunit.phar
+ rm -f phpunit.phar.asc
+ fi
+else
+ echo
+ chmod -x phpunit.phar
+ mv phpunit.phar /tmp/bad-phpunit.phar
+ mv phpunit.phar.asc /tmp/bad-phpunit.phar.asc
+ echo -e "\033[31mSignature did not match! PHPUnit has been moved to /tmp/bad-phpunit.phar\033[0m"
+ exit 1
+fi